Package org.apache.sling.api.servlets

# Class HttpConstants

java.lang.Object
org.apache.sling.api.servlets.HttpConstants

public class HttpConstants extends Object
HTTP-related constants

This class is not intended to be extended or instantiated because it just provides constants not intended to be overwritten.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`HEADER_ACCEPT`
`static final String`
`HEADER_ETAG`
`static final String`
`HEADER_IF_MATCH`
`static final String`
`HEADER_IF_MODIFIED_SINCE`
`static final String`
`HEADER_LAST_MODIFIED`
`static final String`
`METHOD_CONNECT`
`static final String`
`METHOD_DELETE`
`static final String`
`METHOD_GET`
`static final String`
`METHOD_HEAD`
`static final String`
`METHOD_OPTIONS`
`static final String`
`METHOD_POST`
`static final String`
`METHOD_PUT`
`static final String`
`METHOD_TRACE`

## Constructor Summary

Constructors
Constructor
Description
`HttpConstants()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### METHOD_OPTIONS

public static final String METHOD_OPTIONS

See Also:
  - Constant Field Values

### METHOD_GET

public static final String METHOD_GET

See Also:
  - Constant Field Values

### METHOD_HEAD

public static final String METHOD_HEAD

See Also:
  - Constant Field Values

### METHOD_POST

public static final String METHOD_POST

See Also:
  - Constant Field Values

### METHOD_PUT

public static final String METHOD_PUT

See Also:
  - Constant Field Values

### METHOD_DELETE

public static final String METHOD_DELETE

See Also:
  - Constant Field Values

### METHOD_TRACE

public static final String METHOD_TRACE

See Also:
  - Constant Field Values

### METHOD_CONNECT

public static final String METHOD_CONNECT

See Also:
  - Constant Field Values

### HEADER_ACCEPT

public static final String HEADER_ACCEPT

See Also:
  - Constant Field Values

### HEADER_ETAG

public static final String HEADER_ETAG

See Also:
  - Constant Field Values

### HEADER_IF_MATCH

public static final String HEADER_IF_MATCH

See Also:
  - Constant Field Values

### HEADER_IF_MODIFIED_SINCE

public static final String HEADER_IF_MODIFIED_SINCE

See Also:
  - Constant Field Values

### HEADER_LAST_MODIFIED

public static final String HEADER_LAST_MODIFIED

See Also:
  - Constant Field Values

## Constructor Details

### HttpConstants

public HttpConstants()